Vla-get-imageheight

提供: GizmoLabs
移動先: 案内検索
構文
(vla-get-imagewidth vla-object)


機能
ラスター イメージの高さを取得する。


引数
  • vla-object … GeomapImage、RasterImage、Wipeout のVLAオブジェクト


戻り値
ラスター イメージの高さ


  • 注意 : このプロパティは Height プロパティに似ているが、Height プロパティは、ピクセル単位なのに対し、このプロパティは、現在の単位であらわす。


サンプル
(vl-load-com)
(defun c:Example_ImageHW ()
    ;; イメージを追加して、幅と高さを表示するサンプル
    (setq doc (vla-get-ActiveDocument (vlax-get-acad-object)))
    
    ;; "2d Projected Polylines.jpg" っていうファイルを使うので
    ;; 相対パスに作っておくこと。
    (setq insertionPoint (vlax-3d-point 5 5 0)  
          imageName ".\\Sample\\Activex\\2d Projected Polylines.jpg"
          scalefactor 1
          rotationAngle 0)
    
    ;; ラスターイメージを作成
    (if (/= (findfile imageName) nil)
        (progn
            (setq modelSpace (vla-get-ModelSpace doc))
            (setq rasterObj (vla-AddRaster modelSpace (findfile imageName) insertionPoint scalefactor rotationAngle))
    
	    ;; イメージの高さと幅を取得
	    (setq height (vla-get-ImageHeight rasterObj)
	          width (vla-get-ImageWidth rasterObj))
	    
	    (alert (strcat "ラスターイメージ : " (vla-get-ImageFile rasterObj)
	                   "\n高さ(ImageHeight): " (rtos height 2)
	                   "\n幅(ImageWidth): " (rtos width 2)))
        )
        (alert (strcat imageName " が見つからなかったじゃんよ。"))
    )
)


関連事項